package shukan;

import javax.imageio.ImageIO;
import javax.swing.*;
import java.awt.*;
import java.io.File;

public class ShukanViewBar extends JPanel {
    /** File manager */
    private ShukanIO myIO = null;
    /** Displayed data */
    private ShukanData data = null;
    private String[] imagesName = {"save", "back", "plus", "delete", "left", "right", "export", "parameter"};
    private String imagesExtension = ".png";

    public ShukanViewBar(ShukanIO myIO, ShukanData data){
        this.myIO = myIO;
        this.data = data;
    }

    @Override
    public void paintComponent(Graphics g) {
        super.paintComponents(g);
        setSize(getWidth(), 80);
        // load images
        try{
            for(int i = 0; i<imagesName.length; i++){
                Image im = ImageIO.read(new File("data/images/"+imagesName[i]+imagesExtension));
                g.drawImage(im, i*(100), 0, this);
            }
        }
        catch(Exception e){System.out.println("Image manquante");}
    }

    public static void main(String args[]){
        ShukanData data = new ShukanData ();
        ShukanIO io = new ShukanIO (data);
        EventQueue.invokeLater(new Runnable() {
            public void run() {
                JFrame f = new JFrame("esssai");
                ShukanViewBar s = new ShukanViewBar (io,data);
                f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                f.add(s);
                f.pack();
                f.setVisible(true);
            }
        });
    }
}
